### Method

# Shumate VectorSpriteSheet add_sprite

since: 1.1

#### Declaration [src]

    void
    shumate_vector_sprite_sheet_add_sprite (
      ShumateVectorSpriteSheet* self,
      const char* name,
      ShumateVectorSprite* sprite
    )

#### Description [src]

Adds a sprite to the spritesheet.

Available since: 1.1

#### Parameters

`name`

  Type: `const char*`

  The name of the sprite.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sprite`

  Type: `ShumateVectorSprite`

  A `ShumateVectorSprite`.

  The data is owned by the caller of the method.